import 'package:flutter/material.dart';

class BottomModalContainer extends StatelessWidget {
  final Widget child;
  final bool dismissOnTapOutside;

  const BottomModalContainer(
      {required this.child, this.dismissOnTapOutside = true});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.transparent,
      body: GestureDetector(
        onTap: () {
          if (dismissOnTapOutside) Navigator.pop(context);
        },
        child: Container(
          color: Colors
              .transparent, //This transparent color here is to draw something tap-able in the empty container region in order to ensure the dismissOnTapOutside to work
          child: Align(
              alignment: Alignment.bottomCenter,
              child: ConstrainedBox(
                constraints: BoxConstraints(
                  minHeight: 0.0,
                  maxHeight: MediaQuery.of(context).size.height / 2,
                ),
                child: child,
              )),
        ),
      ),
    );
  }
}
