import 'package:flutter/material.dart';
import 'package:adeptviews/src/preference/preference_service.dart';

/// PreferencePage isn't required if you init PrefService in your main() function
class PreferencePage extends StatefulWidget {
  final List<Widget> preferences;
  const PreferencePage(this.preferences);

  @override
  PreferencePageState createState() => PreferencePageState();
}

class PreferencePageState extends State<PreferencePage> {
  @override
  Widget build(BuildContext context) {
    return FutureBuilder(
      future: PrefService.init(),
      builder: (context, snapshot) {
        if (!snapshot.hasData) {
          return const SizedBox();
        }
        return ListView(children: widget.preferences);
      },
    );
  }
}
